Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.ejb
Class SimpleStringPK

    java.lang.Object
      |
      +--com.beasys.portal.ejb.SimpleStringPK

Direct Known Subclasses:
  PortalDefinitionPK

public class SimpleStringPK
extends java.lang.Object
implements java.io.Serializable

Simple String Primary Key class. This is a base class for entity bean primary keys whose entity id is a string.

See Also:
  Serialized Form

Field Summary
`java.lang.String` | `id`

Constructor Summary
`SimpleStringPK()` SimpleStringPK constructor comment.
`SimpleStringPK(java.lang.String theId)` SimpleStringPK constructor comment.

Method Summary
`boolean` | `equals(java.lang.Object theOther)` Check for object equality.
`java.lang.String` | `getId()` Get the id.
`java.lang.String` | `toString()` String representation of the Id.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    public java.lang.String id

Constructor Detail

### SimpleStringPK

    public SimpleStringPK()

  SimpleStringPK constructor comment.

### SimpleStringPK

    public SimpleStringPK(java.lang.String theId)

  SimpleStringPK constructor comment.

Method Detail

### equals

    public boolean equals(java.lang.Object theOther)

  Check for object equality.
  Overrides:
    equals in class java.lang.Object

### toString

    public java.lang.String toString()

  String representation of the Id.
  Overrides:
    toString in class java.lang.Object

### getId

    public java.lang.String getId()

  Get the id.
  Returns:
    String the id

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved